| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DataPointSet::DataRow Class Reference
General

Data point with group. Group 0 means 'inactive', it can never be selected. More...

`#include <datapointset.h>`

## Public Member Functions
| DataRow ()
| DataRow (const Pos &, unsigned short grp=1, bool issel=false)
| ~DataRow ()
const BinID & | binID () const
Coord | coord () const
const TypeSet< float > & | data () const
void | getBVSValues (TypeSet< float > &, bool is2d, bool ismini) const
unsigned short | group () const
bool | isInactive () const
bool | isSel () const
bool | operator== (const DataRow &dr) const
void | setGroup (unsigned short grp)
void | setSel (bool yn)

## Public Attributes
TypeSet< float > | data_
short | grp_
Pos | pos_

## Detailed Description

Data point with group. Group 0 means 'inactive', it can never be selected.

<>

## Constructor & Destructor Documentation

## ◆ DataRow() [1/2]

DataPointSet::DataRow::DataRow | ( |  | ) |

## ◆ DataRow() [2/2]

DataPointSet::DataRow::DataRow | ( | const Pos & | ,
|  | unsigned short | grp = 1,
|  | bool | issel = false )

## ◆ ~DataRow()

DataPointSet::DataRow::~DataRow | ( |  | ) |

## Member Function Documentation

## ◆ binID()

const BinID & DataPointSet::DataRow::binID | ( |  | ) | const
| inline

## ◆ coord()

Coord DataPointSet::DataRow::coord | ( |  | ) | const
| inline

## ◆ data()

const TypeSet< float > & DataPointSet::DataRow::data | ( |  | ) | const
| inline

## ◆ getBVSValues()

void DataPointSet::DataRow::getBVSValues | ( | TypeSet< float > & | ,
|  | bool | is2d,
|  | bool | ismini ) const

## ◆ group()

unsigned short DataPointSet::DataRow::group | ( |  | ) | const

## ◆ isInactive()

bool DataPointSet::DataRow::isInactive | ( |  | ) | const
| inline

## ◆ isSel()

bool DataPointSet::DataRow::isSel | ( |  | ) | const
| inline

## ◆ operator==()

bool DataPointSet::DataRow::operator== | ( | const DataRow & | dr | ) | const
| inline

## ◆ setGroup()

void DataPointSet::DataRow::setGroup | ( | unsigned short | grp | ) |

## ◆ setSel()

void DataPointSet::DataRow::setSel | ( | bool | yn | ) |
| inline

## Member Data Documentation

## ◆ data_

TypeSet<float> DataPointSet::DataRow::data_

## ◆ grp_

short DataPointSet::DataRow::grp_

## ◆ pos_

Pos DataPointSet::DataRow::pos_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025